Subir documento de la propiedad
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/properties/{property_id}/documents \
--header 'Content-Type: multipart/form-data' \
--header 'api_access_token: <api-key>' \
--form file=@example-fileconst form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
options.body = form;
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/properties/{property_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/properties/{property_id}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text){}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"errors": [
"<string>"
]
}Properties
Subir documento de la propiedad
Sube un archivo a la biblioteca con la propiedad como origen. Requiere permissions.can_view_documents.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
properties
/
{property_id}
/
documents
Subir documento de la propiedad
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/properties/{property_id}/documents \
--header 'Content-Type: multipart/form-data' \
--header 'api_access_token: <api-key>' \
--form file=@example-fileconst form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
options.body = form;
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/properties/{property_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/properties/{property_id}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text){}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"errors": [
"<string>"
]
}Authorizations
Path Parameters
ID de la propiedad
The numeric ID of the account
Response
Creado
Ítem de biblioteca del documento subido
Was this page helpful?